#version 130
uniform sampler2D currentTexture;

void main()
{
    vec4 uv = texture2D(currentTexture, gl_TexCoord[0].xy);    
    uv.r = 1;
    uv.g = 1;
    uv.b = 1;
    if(uv.a > 0) {
        uv.a = 1;
    }
    gl_FragColor = uv;
}
